.page-main {
  position: relative;
  overflow: hidden;
  transition: var(--theme-dark-transition);
  @include respond-max('tablet') {
    height: 100vh;
  }

  &:before,
  &:after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    width: var(--gradient-width);
    height: 100%;
    background: linear-gradient(
      90deg,
      rgba(255, 255, 255, 1) 0%,
      rgba(255, 255, 255, 0) 75%
    );
    z-index: 1;
    pointer-events: none;
    transition: var(--theme-dark-transition);
  }

  &:after {
    left: 0;
  }

  &:before {
    right: 0;
    transform: rotate(180deg);
  }
}
